Bug 125551 - Unable to delete a config channel file
Unable to delete a config channel file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn340
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fanny Augustin
https://rhn.webqa.redhat.com/network/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 14:09 EDT by Paul Dorsey
Modified: 2007-04-18 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn340
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 22:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Dorsey 2004-06-08 14:09:53 EDT
Description of problem:
Atempted to delete a config channel file

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.upload a file to a config channel
2.select the file
3.Delete Selected files
4.Delete files
  
Actual results:
500 Error Internal Server Error

Expected results:


Additional info:
The following exception occured while executing this request:
 POST /network/configuration/namespaces/delete_files.pxt HTTP/1.1
(from browser)
 /network/configuration/namespaces/delete_files.pxt (from Apache)

Date:
  Mon Jun  7 16:46:27 2004

Headers:
  Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
  Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  Accept-Encoding: gzip,deflate
  Accept-Language: en-us,en;q=0.5
  Connection: close
  Content-Length: 140
  Content-Type: application/x-www-form-urlencoded
  Cookie:
pxt-session-cookie=251348246x388df68775e10c23409ba0d7ddd5cab3;
rh_auth_token=3032273:1086641183x9d8f772b3b7f3f55cb8ec5ab7f97f5db
  Host: rhnweb.back-webqa.redhat.com
  Referer:
https://rhn.webqa.redhat.com/network/configuration/namespaces/delete_files.pxt?ccid=66
  User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301
  Via: 1.1 rhn.webqa.redhat.com
  X-ENV-HTTPS: on
  X-ENV-SSL-CIPHER: RC4-MD5
  X-ENV-SSL-CLIENT-VERIFY: NONE
  X-ENV-SSL-PROTOCOL: TLSv1
  X-ENV-SSL-SESSION-ID:
77FF6BE1C3C896666F3A379378A2C45B210AF6EDA59EE7C6E210530C981DE644
  X-ENV-SSL-VERSION-INTERFACE: mod_ssl/2.8.12
  X-ENV-SSL-VERSION-LIBRARY: OpenSSL/0.9.6b
  X-Forwarded-For: 172.16.25.142
  X-Host: rhn.webqa.redhat.com
  X-Proxy-Forwarded-For: 172.16.25.142
  X-Proxy-Forwarded-Host: rhn.webqa.redhat.com
  X-Proxy-Forwarded-Server: rhn.webqa.redhat.com
  X-Replace-Content-Active: 1
  X-Server-Hostname: rhn.webqa.redhat.com

Form variables:
  ccid => 66
  confirm_delete => Delete Files
  pxt:trap => rhn:configfile-sandbox-delete-files-cb
  source_set => selected_files
  success_redirect => files.pxt

User Information:
  User restwnudie (id 3032273, org_id 3587123)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  Can't locate auto/RHN/DB/transaction.al in @INC (@INC contains:
/var/www/lib /usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux
/usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl /etc/httpd/
/etc/httpd/lib/perl) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/ConfigManagement.pm
line 1934
Comment 1 Robin Norwood 2004-06-08 14:17:23 EDT
Fixed in CVS.
Comment 2 Paul Dorsey 2004-06-09 17:13:48 EDT
Verified 
In QA 
Paul

Note You need to log in before you can comment on or make changes to this bug.